[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TCustomDBGrid.OnUserCheckboxBitmap

Event handler signalled to get the image used for a check box entry on the grid.

## Declaration

Source position: dbgrids.pas line 536

`protected property TCustomDBGrid.OnUserCheckboxBitmap : TDbGridCheckBoxBitmapEvent read FOnCheckboxBitmap write FOnCheckboxBitmap;`

## Description

OnUserCheckboxBitmap is a property that implements the TDBGridCheckboxBitmapEvent event handler signalled to get the image used for a check box entry on the grid. OnUserCheckboxBitmap allows the application to override the TBitmap provided by the GetImageForCheckBox method. Assign a procedure to the event handler that implements the TDBGridCheckboxBitmapEvent interface to enable the event handler.

The user is encouraged to provide bitmaps to represent the three states for database grid check boxes: gcbpUnChecked, gcbpChecked and gcbpGrayed.